part of xwidgetbase;

class XTextWithLabel extends StatelessWidget {
  final String? label;
  final dynamic text;
  final TextStyle? styleLabel;
  final TextStyle? styleText;
  final Widget? child;

  XTextWithLabel({
    this.label = "",
    this.text,
    this.styleLabel,
    this.styleText,
    this.child,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Row(
        children: <Widget>[
          Visibility(
            visible: label != "",
            child: Text(label ?? "", style: styleLabel ?? Theme.of(context).textTheme.caption),
          ),
          SizedBox(width: 7),
          Expanded(
              child: Container(
            child: child ??
                Text(
                  text ?? "",
                  style: styleText ?? Theme.of(context).textTheme.bodyText2,
                ),
          )),
        ],
      ),
    );
  }
}
